/*==================A Simple Continuous Capture Application==========
 *
 *
 * File:          TSVideoPluginRaw.c
 *
 * Description:   Video plugin
 *
 */

#include <sys/param.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <signal.h>
#include <netdb.h>
#include <netinet/in.h>

#include <dve/dve.h>
#include <dve/confMgr.h>

#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>

#include "TSVideoPluginRaw.h"
#include "VideoPluginProtocol.h"
#include "Video.h"
#include "UserInterface.h"

extern DveSession dveSession;
extern Video video;
extern UserInterface interface;



void
QuitApplication(int signo)
{
/*   CleanupPlugin(); */
   exit(0);
}


void
main(int argc, char **argv)
{
   /*
    * Start up OpenDVE
    */
   if (InitializeOpenDVE(app, VIDEO_PLUGIN_PORT)==NULL)
     {
	fprintf(stderr, "Initialization of OpenDVE Failed...exiting.\n\7");
	exit(0);
     }
   
   video.init();

   interface.init(&video);
   
   video.close();
}

